Get Prompt
curl --request GET \
--url https://server.promptwatch.com/api/v1/prompts/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://server.promptwatch.com/api/v1/prompts/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://server.promptwatch.com/api/v1/prompts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"type": "ORGANIC",
"isActive": true,
"languageCode": "<string>",
"llmMonitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"llmMonitor": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"amountOfResponses": 123,
"volume": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"intent": "BRANDED",
"averageVisibility": 123,
"difficulty": 123
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Prompts
Get Prompt
Get a single prompt by ID
GET
/
prompts
/
{id}
Get Prompt
Authorizations
API key for authentication. Get yours from the Promptwatch dashboard under Settings > API Keys.
Path Parameters
Prompt ID
Response
Default Response
Prompt unique identifier
The prompt text
Type of prompt
Available options:
ORGANIC, BRAND_SPECIFIC, COMPETITOR_COMPARISON Whether the prompt is active
Language code for the prompt
Associated monitor ID
Show child attributes
Show child attributes
Total number of responses for this prompt
Weighted search volume across all keywords (Google + Bing + AI)
Prompt creation timestamp
Prompt last update timestamp
Intent of the prompt
Available options:
BRANDED, INFORMATIONAL, NAVIGATIONAL, COMMERCIAL, TRANSACTIONAL Average visibility score across all responses
Weighted average keyword difficulty across all keywords